%define upstream_name    Sys-Virt
%define upstream_version 1.0.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Interface to libvirt virtual machine management API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Sys/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::CPAN::Changes)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(XML::XPath)
BuildRequires: libvirt-devel
BuildRequires: perl-devel
BuildRequires: xen-devel
%description
Sys::Virt is an interface to libvirt virtual machine management API.
The Sys::Virt::Domain module represents a guest domain managed by
the virtual machine monitor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc AUTHORS Changes HACKING INSTALL LICENSE META.yml MYMETA.yml README examples
%{perl_vendorarch}/Sys
%{perl_vendorarch}/auto/Sys
%{_mandir}/man3/Sys::Virt*3pm*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 373003
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.0.0-1.mga3
+ Revision: 342644
- update to 1.0.0

* Thu Sep 27 2012 jquelin <jquelin> 0.10.2-1.mga3
+ Revision: 298737
- update to 0.10.2

* Wed May 30 2012 jquelin <jquelin> 0.9.10-2.mga3
+ Revision: 251188
- rebuild for perl 5.16

* Fri Feb 24 2012 jquelin <jquelin> 0.9.10-1.mga2
+ Revision: 213771
- update to 0.9.10

* Wed Jan 25 2012 jquelin <jquelin> 0.9.9-1.mga2
+ Revision: 201022
- update to 0.9.9

* Thu Jan 05 2012 jquelin <jquelin> 0.9.8-1.mga2
+ Revision: 191286
- update to 0.9.8

* Thu Dec 08 2011 kharec <kharec> 0.9.7-1.mga2
+ Revision: 179276
- update to 0.9.7

* Fri Oct 14 2011 jquelin <jquelin> 0.9.5-1.mga2
+ Revision: 154847
- update to 0.9.5
- update to 0.9.3

  + fwang <fwang>
    - new version 0.9.4

* Wed Jul 13 2011 jquelin <jquelin> 0.9.2-1.mga2
+ Revision: 123641
- update to 0.9.2

* Fri Jul 08 2011 jquelin <jquelin> 0.2.8-1.mga2
+ Revision: 120630
- update to 0.2.8

* Sun Jun 12 2011 sander85 <sander85> 0.2.6-2.mga2
+ Revision: 105009
- Rebuild for perl 5.14

* Tue Mar 15 2011 saispo <saispo> 0.2.6-1.mga1
+ Revision: 72040
- Disable test
- New release 0.2.6

  + jquelin <jquelin>
    - mageia rebuild
    - imported package perl-Sys-Virt

